Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 354675 - media-libs/sdl-image-1.2.10: fix libpng deprecation for libpng15 upgrade
Summary: media-libs/sdl-image-1.2.10: fix libpng deprecation for libpng15 upgrade
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL: http://hg.libsdl.org/SDL_image/
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-12 22:56 UTC by Rafał Mużyło
Modified: 2011-03-25 11:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
sdl-image-1.2.10-libpng15.patch (sdl-image-1.2.10-libpng15.patch,5.49 KB, patch)
2011-02-15 07:33 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2011-02-12 22:56:39 UTC
The fixes are already in upstream repository, but as both games herd and I already noticed (in case of sdl-sound), it's hard to tell when the release will happen.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 07:33:46 UTC
Created attachment 262563 [details, diff]
sdl-image-1.2.10-libpng15.patch

This is the patch I added to my private overlay for testing libpng-1.5.x. It's simply a diff between latest IMG_png.c file from their VCS and the one from 1.2.10 release.
Comment 2 Tupone Alfredo gentoo-dev 2011-03-25 11:24:48 UTC
Fixed.
Thanks for report and patch.